Package Details: multibootusb 8.8.0-2

Git Clone URL: https://aur.archlinux.org/multibootusb.git (read-only)
Package Base: multibootusb
Description: Boot multiple live Linux distros from a usb flash drive.
Upstream URL: http://multibootusb.org
Licenses: GPL
Submitter: Angel_Caido
Maintainer: Angel_Caido
Last Packager: Angel_Caido
Votes: 56
Popularity: 4.004924
First Submitted: 2015-08-20 19:45
Last Updated: 2017-05-28 04:00

Latest Comments

Angel_Caido commented on 2017-05-28 04:05

First of all: Apologies for the delay. Work keeps me away from the things I like to do.
Dependency "dbus-x11" has been added. Please, keep us posted of how this package behaves in your system.

sundar_ima commented on 2017-05-19 13:37

"dbus-x11" is absolute necessary. Otherwise, multibootusb may start but you wont be able to choose ISOs. Tested personally and submitted the reply here...

Angel_Caido commented on 2017-05-18 23:00

Bumped to version 8.8.0.
"dbus-x11" was left out because it required 'dbus' to be removed. If absolutely necesary I will include it as a dependency.

sundar_ima commented on 2017-05-14 17:04

@Angel_Caido,
See the link to same issue you have reported here https://github.com/mbusb/multibootusb/issues/164. Solution is also available.

sundar_ima commented on 2017-05-14 14:28

@Angel_Caido,

It looks like you have multicard/multiUSB hub reader which is causing the application to crash. Somehow, udev is able to detect this multicard/multiUSB hub reader as block device. Remove all other USB devices and insert USB disk directly in to your system for testing. I think it should work. This issue will be fixed in next upstream release.

But still I think you should update to the latest release of upstream which is why the aur is meant for. At lease you will get to know from other users and accordingly downgrade to whatever working version. Thanks.

sundar_ima commented on 2017-05-12 18:16

"I have a composite USB device."

What does this mean? Have you connected any of the USB hub in your PC? what does your terminal say when issuing dmesg, ls -l /dev/disk/by-id/, ls -l /dev/sd* and lsblk commands? Are you able to see your USB disk number which multibootusb is refering to?

Angel_Caido commented on 2017-05-12 00:23

I have a composite USB device. The drive that multiboot is refering to does not even exist. Is one of the "ports" of such composite USB device but it is unused.

As you can see at the last line, the previous error still ocurrs:
/usr/sbin/multibootusb-pkexec: line 22: 4785 Aborted (core dumped) pkexec --disable-internal-agent "/usr/bin/multibootusb" "$@"

The content of the PKGBUILD is as follow [in case I forgot to include something]:
# Contributor: Jonas Heinrich <onny@project-insanity.org>
# Former Maintainer: sundar_ima <feedback.multibootusb@gmail.com>
# Maintainer: Angel_Caido <geussepe at gmail dot com>>

pkgname=multibootusb
pkgver=8.8.0
pkgrel=1
pkgdesc="Boot multiple live Linux distros from a usb flash drive."
arch=("any")
url="http://multibootusb.org"
license=("GPL")
#depends=("python-pyudev" "python-pyqt5" "pyqt5-common" "python-dbus" "mtools" "util-linux" "parted" "p7zip" "python-six" )
depends=("python-pyqt5" "pyqt5-common" "python-dbus" "mtools" "util-linux" "parted" "p7zip" "python-six" "python-pyudev")

sha512sums=("585bb8a4641535f1811e7a48d4e0bab3353ae8f8e4ca319dcbfd8b45b474927b341a52d4eaee3c3587af657231d861fa5977b49cf000b9f878b601748efd87cc")
source=("https://github.com/mbusb/$pkgname/archive/v${pkgver}.tar.gz")


package () {
cd "$srcdir/$pkgname-$pkgver"
chmod 755 "$srcdir/$pkgname-$pkgver/data/multibootusb.desktop"
python3 setup.py install --root="$pkgdir/" --optimize=1
}

sundar_ima commented on 2017-05-11 01:22

@Angel_Caido, That means some issue is there with the software and not the package. Similar issue was reported by another user on github. It is being investigated. Is the same problem happen with other USB drive as well?

Angel_Caido commented on 2017-05-10 23:41

On Manjaro Xfce up-to-date, the GUI does not start.
When running multibootusb-pkexec on the terminal, I get the following:

Running multibootusb version 8.8.0 from installed system...
Starting multibootusb GUI...
Cleaning old multibootusb directory...
Syslinux exist in multibootusb directory...
Using pyudev for detecting USB drives...
/dev/sdf
/dev/sdg
/dev/sdh
/dev/sdi
Selected device /dev/sdf
fdisk: cannot open /dev/sdf: No medium found
Traceback (most recent call last):
File "/usr/lib/python3.6/site-packages/scripts/usb.py", line 406, in details
details = details_udev(usb_disk_part)
File "/usr/lib/python3.6/site-packages/scripts/usb.py", line 222, in details_udev
fdisk_cmd_out = subprocess.check_output('fdisk -l ' + usb_disk_part, shell=True)
File "/usr/lib/python3.6/subprocess.py", line 336, in check_output
**kwargs).stdout
File "/usr/lib/python3.6/subprocess.py", line 418, in run
output=stdout, stderr=stderr)
subprocess.CalledProcessError: Command 'fdisk -l /dev/sdf' returned non-zero exit status 1.

During handling of the above exception, another exception occurred:

Traceback (most recent call last):
File "/usr/lib/python3.6/site-packages/scripts/mbusb_gui.py", line 148, in onComboChange
config.usb_details = usb.details(config.usb_disk)
File "/usr/lib/python3.6/site-packages/scripts/usb.py", line 408, in details
details = details_udisks2(usb_disk_part)
File "/usr/lib/python3.6/site-packages/scripts/usb.py", line 281, in details_udisks2
mount_point = bd.Get('org.freedesktop.UDisks2.Filesystem', 'MountPoints', dbus_interface='org.freedesktop.DBus.Properties')
File "/usr/lib/python3.6/site-packages/dbus/proxies.py", line 145, in __call__
**keywords)
File "/usr/lib/python3.6/site-packages/dbus/connection.py", line 651, in call_blocking
message, timeout)
dbus.exceptions.DBusException: org.freedesktop.DBus.Error.InvalidArgs: No such interface 'org.freedesktop.UDisks2.Filesystem'
/usr/sbin/multibootusb-pkexec: line 22: 4785 Aborted (core dumped) pkexec --disable-internal-agent "/usr/bin/multibootusb" "$@"

sundar_ima commented on 2017-05-10 17:24

Even if GUI does not start, people still can use commandline options. Source --> http://multibootusb.org/page_guide/#using-mltibootusb-command-line-options

sundar_ima commented on 2017-05-10 17:21

Tested on manjaro KDE with up to date system. With little trouble, I could figure out and solved the issue. Two packages "python-pyudev" (multibootusb specifc) and "dbus-x11" (KDE specific) have been added. Following PKGBUILD works absolutely fine for me and you may wish to update the package accordingly:

pkgname=multibootusb
pkgver=8.8.0
pkgrel=1
pkgdesc="Boot multiple live Linux distros from a usb flash drive."
arch=("any")
url="http://multibootusb.org"
license=("GPL")
depends=("python-pyqt5" "pyqt5-common" "python-dbus" "mtools" "util-linux" "parted" "p7zip" "python-six" "python-pyudev" "dbus-x11")
sha512sums=("585bb8a4641535f1811e7a48d4e0bab3353ae8f8e4ca319dcbfd8b45b474927b341a52d4eaee3c3587af657231d861fa5977b49cf000b9f878b601748efd87cc")
source=("https://github.com/mbusb/$pkgname/archive/v${pkgver}.tar.gz")


package () {
cd "$srcdir/$pkgname-$pkgver"
chmod 755 "$srcdir/$pkgname-$pkgver/data/multibootusb.desktop"
python3 setup.py install --root="$pkgdir/" --optimize=1
}

sundar_ima commented on 2017-05-10 12:38

@Angel_Caido, Can you post the full error message for investigation.

sundar_ima commented on 2017-05-10 12:36

Newer version 8.8.0 is released...

Angel_Caido commented on 2017-05-09 10:47

I haven't uploaded an updated PKGBUILD because I'm experiencing issues with the most recent version of multibootusb during testing. I get the error:

Starting multibootusb GUI...
QXcbConnection: Could not connect to display
/usr/sbin/multibootusb-pkexec: line 22: 11420 Aborted (core dumped) pkexec --disable-internal-agent "/usr/bin/multibootusb" "$@"

Any insights?

sundar_ima commented on 2017-04-29 17:40

Newer version 8.7.0 is released.

sundar_ima commented on 2017-04-23 12:10

Version 8.6.0 is released and python3-pyudev is added as dependency...

Angel_Caido commented on 2017-02-09 23:11

Bumped to 8.5.0

sundar_ima commented on 2017-02-05 10:52

Version 8.5.0 is released...

Angel_Caido commented on 2016-12-28 02:26

Bumped to 8.4.0. Added Dependency "python-zix".
Happy Holidays.

sundar_ima commented on 2016-12-27 14:49

Version 8.4.0 is out. greenfuse is correct, on some distros 'python-six' is also required.

greenfuse commented on 2016-12-20 11:57

A dependency that I needed is python-six

Angel_Caido commented on 2016-12-09 00:36

python2-pyqt5 removed from dependencies.

sundar_ima commented on 2016-12-07 09:06

python2-pyqt5 is not necessary. Please remove it from list of dependencies.

Angel_Caido commented on 2016-12-06 00:51

Multibootusb bumped to 8.3.0.

sundar_ima commented on 2016-12-05 15:57

Version 8.3.0 is released.

multibootusb is not depends on ou may want to remove it.

Angel_Caido commented on 2016-11-29 03:14

I am considering to add gksu as a dependency. This application requires admin privileges; so -in order to grant them- pkexec is called so that the user can enter his/her password. The problem is that pkexec keeps returning the following error:
Starting multibootusb GUI...
QXcbConnection: Could not connect to display
/usr/sbin/multibootusb-pkexec: line 6: 3189 Aborted (core dumped) pkexec --disable-internal-agent "/usr/bin/multibootusb" "$@"

and if I run "pkexec multibootusb", then I get only:
Starting multibootusb GUI...
QXcbConnection: Could not connect to display
Aborted (core dumped)

A workaround would be using gksudo [which is part of gksu] instead of pkexec. I could modify the menu launcher to do so.
I'm open to suggestions.

sundar_ima commented on 2016-11-28 18:09

The actual path to multibootusb executable ' /usr/sbin/multibootusb' and path specified in '/usr/sbin/multibootusb-pkexec' & 'org.debian.pkexec.run-multibootusb.policy' are different.

Both the files will have path to executable as '/usr/bin/multibootusb' However, you need to correct it as '/usr/sbin/multibootusb' in both the files. This should solve the error you are getting.

George commented on 2016-11-28 16:06

If you have an error «PermissionError: [Errno 13] Permission denied: '/usr/share/multibootusb/data/version.txt'» then you need execute:

sudo chmod +r /usr/share/multibootusb/data/version.txt

and then again

yaourt -S multibootusb

Angel_Caido commented on 2016-11-28 04:50

PKGBUILD Updated and bumped to 8.2.0.
Still having problems when launching multibootusb from the menu and from the terminal [calling the executable /usr/sbin/multibootusb-pkexec].

Workaround:
Run multibootusb from the terminal with either "sudo multibootusb" or "gksudo multibootusb"

sundar_ima commented on 2016-11-27 13:25

Version 8.2.0 is released

Angel_Caido commented on 2016-11-24 05:01

OK. I updated the PKGBUILD for MultiBootUSB. I added some dependencies. I also changed permissions to the file multibootusb.desktop [as requested by satriani].
On my end it built and installed correctly. I just have a few observations to make:
1. Remove any old version before installing this one.
2. For some reason I can't yet understand, the executable ["multibootusb-pkexec"] gives me the following error [when ran from the terminal]:
Starting multibootusb GUI...
QXcbConnection: Could not connect to display
/usr/sbin/multibootusb-pkexec: line 6: 3189 Aborted (core dumped) pkexec --disable-internal-agent "/usr/bin/multibootusb" "$@"

I think it has something to do with QT5 and pkexec. [I'm] Not sure.

3. If you want to run it properly use one of the following commands instead:
sudo multibootusb
gksudo multibootusb

Let me know if you can find a solution to this or if something else comes up.

Angel_Caido commented on 2016-11-24 03:42

Really odd. Last time I built and checked this package [and after a few minor corrections to the PKGBUILD] it went through flawlessly. Now I encounter more errors. I honestly don't know where they all come from. I'm trying to solve the ones that I have encountered.
According to https://github.com/mbusb/multibootusb, this version now depends on: mtools, util-linux, parted, python3-qt5 [which is provided by python-pyqt5], python-dbus, and pkexec [which is provided by polkit].

AdrianoML commented on 2016-11-23 15:12

This package is full of problems, missing dependencies for python3/python3-pyqt5 and plenty of files with missing read permission.

satriani commented on 2016-11-21 08:26

-rw------- 1 root root 191 20. Nov 09:41 multibootusb.desktop

wrong permission.
Please add to PKGBUILD "chmod 755 /usr/share/applications/multibootusb.desktop"

sundar_ima commented on 2016-11-21 07:20

Your PKGBUILD is not correct. The latest version is based on pyqt5 and p7zip is also missing.

Angel_Caido commented on 2016-11-21 03:07

PKGBUILD updated. Thanks for your patience.

sundar_ima commented on 2016-11-20 12:01

The latest version is released http://multibootusb.org/2016-11-20-Multibootusb-version-8.1.0-is-released/

It would be nice if you report the issues you encountered. This will be helpful in solving the issue faster.

Angel_Caido commented on 2016-11-19 16:15

I shall update the PKGBUILD as soon as I make sure that Multibootusb is working properly. I have read that it has some errors.

GeoffMaciolek commented on 2016-11-12 22:39

Hey, here's the PKGBUILD I made for 8.0.0: https://github.com/GeoffMaciolek/PKGBUILDs/raw/master/multibootusb/PKGBUILD

Or:

# Contributor: Jonas Heinrich <onny@project-insanity.org>
# Former Maintainer: sundar_ima <feedback.multibootusb@gmail.com>
# Maintainer: Angel_Caido <geussepe at gmail dot com>>

pkgname=multibootusb
pkgver=8.0.0
pkgrel=1
pkgdesc="Boot multiple live Linux distros from a usb flash drive."
arch=("any")
url="http://multibootusb.org"
license=("GPL")
#depends=("python2-pyqt4" "mtools" "util-linux" "parted")
depends=("python>=3.0.0" "python-pyqt5" "python-dbus" "mtools" "util-linux" "parted")
#sha512sums=("b5a01dd81d90abd45b8443d922704432e84ceb58ad67c8cfe289064230f721baec420244000533d82e5c66db29767054556d8f8f2606918a8b3e51e24199a867")
sha512sums=("fe62166ee027be89e3773b1d4236368999749d16c90e1ecf15f308c4550db1915492ea6bca889154b6601f65cf0424a6b8061a57bf8215e7c28fe9a93905e753")
source=("https://github.com/mbusb/$pkgname/releases/download/v${pkgver}/$pkgname-${pkgver}.tar.gz")
#source=("http://downloads.sourceforge.net/project/$pkgname/${pkgver}/Source/$pkgname-${pkgver}.tar.gz")

package () {
cd "$srcdir/$pkgname-$pkgver"
python3 setup.py install --root="$pkgdir/" --optimize=1
}

sundar_ima commented on 2016-11-06 15:44

New version is released. http://multibootusb.org/2016-11-06-Upgraded-version-of-multibootusb-8.0.0-is-ready/

Angel_Caido commented on 2016-07-25 02:49

PKGBUILD Updated. I apologize for the delay. Thank you so much for the information.

xpt commented on 2016-07-19 06:01

Please change:
source=("http://iweb.dl.sourceforge.net/project/$pkgname/${pkgver}/Source/$pkgname-${pkgver}.tar.gz")
to
source=(http://downloads.sourceforge.net/project/$pkgname/${pkgver}/Source/$pkgname-${pkgver}.tar.gz")

OblivioVItae commented on 2016-07-07 21:20

Yep, wait correct or report..
I send mail to Angel_Caido, wait one-two day..

f4bio commented on 2016-07-02 18:19

correct sources url: http://downloads.sourceforge.net/project/multibootusb/7.5.0/Source/multibootusb-7.5.0.tar.gz

Angel_Caido commented on 2016-01-16 01:28

Thanks for the information. PKGBUILD has been updated.

greenfuse commented on 2015-12-29 00:43

The download must have changed, I needed to provide a new sha512sum.

sha5sums=('b5a01dd81d90abd45b8443d922704432e84ceb58ad67c8cfe289064230f721baec420244000533d82e5c66db29767054556d8f8f2606918a8b3e51e24199a867')

Mikaela commented on 2015-11-13 10:14

This package should also depend on `parted` which it doesn't depend on some reason causing tracebacks.